package com.pyvio.acquirer.sdk.dto.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * auth complete request parameter
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class AccessTokenReqDTO implements Serializable {

    @Serial
    private static final long serialVersionUID = 6524956105186530947L;
    /**
     * appId
     */
    private String appId;
    /**
     * appSecret
     */
    private String appSecret;
    /**
     * grantType, fixed client_credentials
     */
    private String grantType;

}
