package com.pyvio.acquirer.sdk.dto.req;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * logistics upload request parameter
 *
 */
@Data
public class LogisticsUploadReqDTO implements Serializable {

    @Serial
    private static final long serialVersionUID = -89761332601992708L;
    /**
     * website ID
     */
    private String websiteId;
    /**
     * unique transaction ID of merchant, choose between payment_id and transaction_id
     */
    private String transactionId;
    /**
     * logistics tracking number
     */
    private String trackingNumber;
    /**
     * logistics company
     */
    private String logisticsCompany;

}