package com.pyvio.acquirer.sdk.dto.res;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * checkout response parameter
 */
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Data
public class CheckoutResDTO implements Serializable {


    @Serial
    private static final long serialVersionUID = -3721821890790795394L;
    /**
     * the redirect url for cashier
     */
    private String redirectUrl;
}
