package com.pyvio.acquirer.sdk.exception;

public enum PyvioErrorCode {

    B_Sign_InvalidError("B_Sign_Error", "sign error"),
    B_Common_Error("B_Common_Error", "common error"),
    B_Net_Error("B_Net_Error", "net error"),
    ;

    private final String code;

    private final String desc;

    PyvioErrorCode(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getCode() {
        return this.code;
    }

    public String getDesc() {
        return desc;
    }

}
