package com.pyvio.acquirer.sdk.dto.req.inner;

import lombok.Data;

@Data
public class CustomerInfoDTO{
    /**
     * merchant member ID
     */
    private String customerId;
    /**
     * first name
     */
    private String customerFirstName;
    /**
     * last name
     */
    private String customerLastName;
    /**
     * phone number
     */
    private String customerPhoneNo;
    /**
     * email address
     */
    private String customerEmail;
    /**
     * register email address
     */
    private String registerUserEmail;
    /**
     * register time, pattern:yyyy-MM-dd HH:mm:ss
     */
    private String registerTime;
    /**
     * register ip
     */
    private String registerIp;
    /**
     * register terminal
     */
    private String registerTerminal;
    /**
     * refer to the country isoa2 code
     */
    private String registerCountry;
    /**
     * register time range, unit:day
     */
    private String registerTimeRange;
}