package com.pyvio.acquirer.sdk.dto.req.inner;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class GoodsInfoDTO{
    /**
     * good id or sku
     */
    private String goodsId;
    /**
     * good name
     */
    private String goodsName;
    /**
     * good description, if the length exceeds 256 bits,
     * the first 256 bits will be truncated
     */
    private String goodsDescription;
    /**
     * url of goods description page
     */
    private String goodsUrl;
    /**
     * price
     */
    private BigDecimal price;
    /**
     * quantity
     */
    private Integer quantity;
    /**
     * good type One Of goods, virtual
     */
    private String type;
}