package com.pyvio.acquirer.sdk.dto.req.inner;

import lombok.Data;

@Data
public class ShippingInfoDTO{
    /**
     * first name
     */
    private String shippingFirstName;
    /**
     * last name
     */
    private String shippingLastName;
    /**
     * phone number
     */
    private String shippingPhone;
    /**
     * email address
     */
    private String shippingEmail;
    /**
     * refer to the country isoa2 code
     */
    private String shippingCountry;
    /**
     * province or state
     */
    private String shippingState;
    /**
     * city
     */
    private String shippingCity;
    /**
     * street
     */
    private String shippingStreet;
    /**
     * postal code
     */
    private String shippingPostCode;
    /**
     * the last time of modify phon
     */
    private String lastModifyPhoneTime;
    /**
     * the last time of modify street, pattern:yyyy-MM-dd HH:mm:ss
     */
    private String lastModifyStreetTime;
}