package com.pyvio.acquirer.sdk.dto.res;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * auth complete request parameter
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class AccessTokenResDTO implements Serializable {

    @Serial
    private static final long serialVersionUID = -9117838936754620509L;
    /**
     * access token
     */
    private String accessToken;
    /**
     * token expired time
     */
    private long expiresIn;
    /**
     * refresh token
     */
    private String refreshToken;
    /**
     * refresh token expired time
     */
    private String refreshTokenExpiresIn;

}
