package com.pyvio.acquirer.sdk.dto.res;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * logistics upload response parameter
 */
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Data
public class LogisticsUploadResDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = -5879426900264675678L;
    /**
     * website ID
     */
    private String websiteId;
    /**
     * unique transaction ID of merchant
     */
    private String transactionId;
    /**
     * upload failed reason
     */
    private String failReason;
    /**
     * upload status, One Of SUCCESS, FAILED
     */
    private String result;


}
